| Home | Libraries | People | FAQ | More

#### rate_policy_access

Helper class to assist implementing a RatePolicy.

##### Synopsis

Defined in header `<boost/beast/core/rate_policy.hpp>`

    class rate_policy_access

##### Description

This class is used by the implementation to gain access to the private members of a user-defined object meeting the requirements of RatePolicy. To use it, simply declare it as a friend in your class:

##### Example

    class custom_rate_policy
    {
        friend class beast::rate_policy_access;
        ...

##### Concepts

- RatePolicy

##### See Also

`basic_stream`

Convenience header `<boost/beast/core.hpp>`